﻿

    <script type="text/javascript">
    var _height_Window  = $(window).height();
    var _height_Header  = $('.iq-top-navbar').height();
    var _height_Title   = $('#box_title_table').height();
    var _height_Footer  = $('.iq-footer').height();

    // console.log(_height_Window);
    // console.log(_height_Header);
    // console.log(_height_Title);
    // console.log(_height_Footer);
    /* Config scroll table - Xoá comment để kích hoạt */
    var flag_fixed = false;
    if($(window).width() > 760){
        $('#gridContainer').height(_height_Window - _height_Header - _height_Title - _height_Footer - 76 - 25);
        flag_fixed = true;
    }else{
        $('#gridContainer').height(_height_Window - _height_Header - 15);
        if($(window).width() > 375){
            flag_fixed = true;
        }else{
            flag_fixed = false;
        }
    }


    function load_danhsach_bochungtu() {
        var url = new URL(window.location.href);
        var c = '';
        if (url.searchParams.get("TrangThai"))
            c = url.searchParams.get("TrangThai");
        console.log('@Url.Action("GetAllChungTuChiTiet", "VanPhongSo")'+'/' + c);

        $.ajax({
            url: '@Url.Action("GetAllChungTuChiTiet", "VanPhongSo")'+'/' + c,
            type: 'GET',
            data: {TrangThai : c},
            dataType: 'json'
        })
            .done(function (response2) {
                console.log(response2);
            $('#gridContainer').dxDataGrid({
                dataSource: response2,
                keyExpr: 'Id',
                showBorders: true,
                showRowLines: true,
                paging: {
                    enabled: false
                },
                columnAutoWidth: true,
                columnHidingEnabled: true,
                allowColumnResizing: true,
                columnFixing: {
                    enabled: true
                },
                filterRow: {
                    visible: true,
                    applyFilter: 'auto',
                },
                // filterPanel: { visible: true },
                headerFilter: { visible: true },
                columns:
                    [
                        {
                            dataField: 'VanBan',
                            groupIndex: 0,
                        },
                        {
                            headerCellTemplate: function(container) {
                                container.text('').parent().css({fontWeight: 'bold', textAlign: 'center', backgroundColor: '#c5d3dd'});
                            },
                            width: 70,
                            dataField: "",
                            alignment: "center",
                            fixed: true,
                            cellTemplate: function (container, options) {
                                let TrangThai = options.data.VanBan.split("-")[2];
                                let btn = '';
                                if (TrangThai == " MoiTao") {
                                    btn = `<a class="dropdown-item" href="/vanphongso/bochungtu_chitiet/${options.data.IdVanBan}"" target="">Xem văn bản</a>
                                            <a class="dropdown-item" data-toggle="modal" data-target="#modal_ChiaSe" data-id="${options.data.Id}" data-maqr="${options.data.MaQR}" data-tieude="${options.data.TieuDe}" data-link="${options.data.Link}">Chia sẽ chi tiết</a>
                                            <a class="dropdown-item action_huy_chung_tu" href="#" data-id="${options.data.Id}" data-tieude="${options.data.TieuDe}">Xóa chi tiết</a>
                                        `;
                                } else {
                                    btn = `<a class="dropdown-item" href="/vanphongso/bochungtu_chitiet/${options.data.IdVanBan}"" target="">Xem văn bản</a>
                                            <a class="dropdown-item" data-toggle="modal" data-target="#modal_ChiaSe" data-id="${options.data.Id}" data-maqr="${options.data.MaQR}" data-tieude="${options.data.TieuDe}" data-link="${options.data.Link}">Chia sẽ chi tiết</a>
                                            `;
                                }
                                //console.log(options);
                                let text_Color_TrangThai = `
                                    <div class="btn-group btn-group-xs" role="group">
                                        <button id="btnGroupDrop1" type="button" class="btn btn-primary dropdown-toggle" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
                                            <i class="ri-settings-4-line"></i>
                                        </button>
                                        <div class="dropdown-menu" aria-labelledby="dropdown_HanhDong_${options.data.Id}">
                                        `+ btn +`
                                        </div>
                                    </div>
                                `;

                                $(container).css({overflow: 'initial'}).html(text_Color_TrangThai);
                            }
                        },
                        {
                            headerCellTemplate: function(container) {
                                container.text('STT').parent().css({fontWeight: 'bold', backgroundColor: '#c5d3dd'});
                            },
                            width: 50,
                            dataField: "STT",
                            alignment: "center",
                            cellTemplate: function (container, options) {
                                $(container).html(options.value);
                            }
                        },
                        {
                            headerCellTemplate: function(container) {
                                container.text('Tiêu đề').parent().css({fontWeight: 'bold', backgroundColor: '#c5d3dd'});
                            },
                            dataField: "TieuDe",
                            cellTemplate: function (container, options) {
                                $(container).html(options.value);
                            }
                        },
                        {
                            headerCellTemplate: function(container) {
                                container.text('Nội dung').parent().css({fontWeight: 'bold', backgroundColor: '#c5d3dd'});
                            },
                            dataField: "NoiDung",
                            cellTemplate: function (container, options) {
                                $(container).html(options.value);
                            }
                        },
                        {
                            headerCellTemplate: function(container) {
                                container.text('Ngày tạo').parent().css({fontWeight: 'bold', textAlign: 'center', backgroundColor: '#c5d3dd'});
                            },
                            width: 150,
                            alignment: "center",
                            dataField: "NgayTao",
                            dataType: 'date',
                            format: 'dd/MM/yyyy'
                        },
                        {
                            headerCellTemplate: function(container) {
                                container.text('Trạng thái').parent().css({fontWeight: 'bold', textAlign: 'center', backgroundColor: '#c5d3dd'});
                            },
                            width: 200,
                            dataField: "TrangThai",
                            alignment: "center",
                            cellTemplate: function (container, options) {
                                //console.log(options);
                                let text_Color_TrangThai = '';
                                if(options.data.Link == '' || options.data.Link == null){
                                    text_Color_TrangThai = `<span class="badge badge-secondary">Chưa upload file</span>`;
                                }else if(options.data.TrangThai == 'HoanTat'){
                                    text_Color_TrangThai = `<span class="badge badge-success">Đã upload file</span>`;
                                }
                                $(container).html("<h5>"+text_Color_TrangThai+"</h5>");
                            }
                        }
                    ],
                summary: {
                    totalItems:
                        [
                            {
                                column: 'MoTa',
                                summaryType: 'count',
                            }
                        ],
                }
            });
        })
        .fail(function(error) {
            console.log("error", error);
        });
    };
    load_danhsach_bochungtu();


    /* Chia sẽ chứng từ */
    $('#modal_ChiaSe').on('show.bs.modal', function (event) {
        $('#modal_ChiaSe .modal-body').html('');
        var button = $(event.relatedTarget);
        var _id = button.data('id');
        var _tieude = button.data('tieude');
        var _maqr = button.data('maqr');
        var _link = button.data('link');
        var modal = $(this);
        //console.log(_id, _tieude, _maqr);
        var kq_maqr = "";
        if(_maqr){
            kq_maqr = `<img class="img-fluid" width="200" src="${_maqr}" >`;
        }else{
            kq_maqr = `<h3 class="text-danger text-center">CHƯA CÓ MÃ QR</h3>`;
        }
        var _html = `
            <h4 class="text-center mb-3"><b class="text-danger">ID: ${_id}</b></h4>
            <h4 class="text-center mb-3">${_tieude}</h4>
            <div class="w-100 text-center">
                ${kq_maqr}
            </div>
            <div class="w-100 text-center">
                <div class="input-group input-group-lg">
                  <div class="input-group-prepend">
                    <span class="input-group-text">Link chia sẻ</span>
                  </div>
                  <textarea class="form-control" readonly>${_link}</textarea>
                </div>
            </div>
        `;
        $('#modal_ChiaSe .modal-body').html(_html);
        // $.ajax({
        //     type : 'POST',
        //     dataType : 'json',
        //     url : _url_,
        //     data : {
        //         id: _id,
        //     },
        //     success : function (res){

        //     },
        //     error : function (){
        //         alert('Có lỗi xảy ra trong quá trình xử lý');
        //     }
        //});
    });
    /* Reset Form modal classify 1*/
    $('#modal_ChiaSe').on('hide.bs.modal', function (event) {
        //$('#modal_ChiaSe .modal-content').html('');
        //alert('Đóng modal nè');
    });

    /* Huỷ chứng từ */
    $("#gridContainer").on('click', '.action_huy_chung_tu', function(e) {
        let _id = $(e.target).attr('data-id');
        let _TieuDe = $(e.target).attr('data-tieude');
        console.log(_id);
        if(_id){
            if(confirm(`Bạn muốn xóa chi tiết này?\nTiêu đề: ${_TieuDe}`)){
                $.ajax({
                    url: '@Url.Action("XoaChiTiet", "VanPhongSo")',
                    type: 'POST',
                    dataType: 'text',
                    data: { Id: _id }
                }).done(function (response) {
                    load_danhsach_chitiet_bochungtu();
                    doNotify("Xóa chi tiết thành công", "success");
                });
            }
        }
        // alert(message?: DOMString);
        /* Act on the event */
    });

    </script>